Page MenuHomePhabricator

[clang-format] Update GoogleStyle for C# code to match Google's internal C# style guide
ClosedPublic

Authored by jbcoe on May 11 2020, 6:56 AM.

Diff Detail

Event Timeline

jbcoe created this revision.May 11 2020, 6:56 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 11 2020, 6:56 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
jbcoe added a comment.May 11 2020, 7:06 AM

I expect that accepting this patch will need require an update to be made to https://github.com/google/styleguide.

I expect that accepting this patch will need require an update to be made to https://github.com/google/styleguide.

I agree; it would be useful to leave a comment somewhere in this code with a link to a Google C# style guide reference.

MyDeveloperDay accepted this revision.May 14 2020, 9:02 AM

Assuming you either work for google and understand their style or are qualified to say this is their style then this LGTM

What I couldn't see from the link was where the google C# style guide was?

This revision is now accepted and ready to land.May 14 2020, 9:02 AM
jbcoe planned changes to this revision.May 14 2020, 9:59 AM

I will get the Google Style guide uploaded and update this patch with a link.

jbcoe requested review of this revision.Jun 4 2020, 7:30 AM
jbcoe edited the summary of this revision. (Show Details)
This revision is now accepted and ready to land.Jun 4 2020, 7:31 AM
krasimir accepted this revision.Jun 4 2020, 7:47 AM
This revision was automatically updated to reflect the committed changes.